## Options

### Use

You can specify the following options when calling Database Analyzer:

dbanalyzer [<option_list>]

<option_list> : = <option> | <option> <option> ...

Option | Description
-c <level> | Displays debugging information You can specify a value between 1(low) and 4 (high). If you do not specify -c, no debugging information displayed.
-d <database_name> | Name of the database instance
-delete <date> | Deletes all Database Analyzer analysis data and logs up to and including the date <date> Specify <date> in YYYYMMDD format.
-f <configfile> | Name of the configuration file If you do not specify a configuration file, Database Analyzer uses the dbanalyzer<version>.cfg file in the database directory <dependent_path>/env. See Concepts of the Database System, Configuration Files Installation Manual, Directories
-i | Deletes any existing log files for the same day
-n <database_computer> | Name of the computer on which the database instance is running If you specify the computer name, you must also use the –o option to specify the directory for the log files. See Concepts of the Database System, Log files
-noenv | Suppresses logging and output of the environment variables from the configuration file
-nologo | Suppresses the logo
-o <outputdir> | Directory for the log files If you start Database Analyzer on the computer on which the database instance is installed, then you do not need to specify –o. If you do not specify -o, Database Analyzer uses the analyzer subdirectory in the run directory of the database instance.
-state | Displays information about the Database Analyzer currently running
-stop | Stops Database Analyzer
-t <interval>[,<number>] | Time interval (in seconds) between two analyses <interval> and the required number of analyses <number> The default for <interval> is 900 sec. If you specify a value for <number>, Database Analyzer ends after this number of analyses.
-u <database_user>,<database_user_password> | Name and password of the database user
-V | Displays the version of the Database Analyzer
-? | Displays help for Database Analyzer